### Method

# Gtk CssProvider load_from_data

#### Declaration [src]

    void
    gtk_css_provider_load_from_data (
      GtkCssProvider* css_provider,
      const char* data,
      gssize length
    )

#### Description [src]

Loads `data` into `css_provider`.

This clears any previously loaded information.

#### Parameters

`data`

  Type: An array of `guint8`

  CSS data loaded in memory.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the function.

`length`

  Type: `gssize`

  The length of `data` in bytes, or -1 for NUL terminated strings. If `length` is not -1, the code will assume it is not NUL terminated and will potentially do a copy.